/*----------------------------------------------------------------*
 *																  *
 *						电池电压读取模块				 		  *
 *																  *
 *						  作者：钱向红						  *
 *																  *
 *						  时间：2017-02-10					      *
 *																  *
 *----------------------------------------------------------------*/

#ifndef USER_ADC_BAT_PRESENT
#define USER_ADC_BAT_PRESENT

#include "type.h"

// 初始化引脚
void Battery_Init(void);
void Battery_Open();

// 读电池数据并解析
uint32_t DS2788_ReadBattery(data_dtu_t *sample);

// 充放电改变标志
extern uint8_t bat_CurrentEvent;
extern uint32_t Poweroff_time;
	
#endif
